
Foreman - Bug #28182

Fact search bar broken and resets to only searching hostname

11/01/2019 02:55 PM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Facts   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link: 1766613 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7554

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1766613

Description of problem:

In the Facts Value screen, users cannot perform search correctly because whenever a user tries to search anything in the search

bar, it either gets cleared and "host = <hostname>" appears or "host = <hostname>" gets appended to the search string of what the

user wants to search.  You cannot never clear the search bar or accurately search for anything.

Version-Release number of selected component (if applicable):

6.6.0

How reproducible:

100%

Steps to Reproduce:

1. Hosts -> All Hosts -> <hostname> -> Facts

2. Clear out search bar and search for "name = architecture"

Actual results:

name=architecturehost=<hostname>

No entries found.

Expected results:

name=architecture

Some kind of successful population of table if it exists after clicking search.

Related issues:

Related to Foreman - Feature #24040: Move the search box in Hardware Models t... Closed

Associated revisions

Revision f3cfe40a - 05/18/2020 07:48 AM - Amir Fefer

Fixes #28182 - fixing broken search bar in facts

History

#1 - 11/01/2019 02:56 PM - Marek Hulán

- Related to Feature #24040: Move the search box in Hardware Models to a React component added

#2 - 03/31/2020 06:23 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Amir Fefer

- Pull request https://github.com/theforeman/foreman/pull/7554 added

#3 - 05/18/2020 07:48 AM - The Foreman Bot
- Fixed in Releases 2.2.0 added

#4 - 05/18/2020 07:49 AM - Tomer Brisker

- Subject changed from Fact search bar broken and resets to only searching hostname

 to Fact search bar broken and resets to only searching hostname

- Fixed in Releases 2.1.0 added

- Fixed in Releases deleted (2.2.0)

#5 - 05/18/2020 08:01 AM - Amir Fefer

- Status changed from Ready For Testing to Closed

Applied in changeset f3cfe40a6bf3e7b3d3ff05dec77877e053c5ff3d.

#6 - 09/10/2020 04:57 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7975 added
